## gate.creole
Class ANNIETransducer

    java.lang.Object
      |
      +--gate.util.AbstractFeatureBearer
            |
            +--gate.creole.AbstractResource
                  |
                  +--gate.creole.AbstractProcessingResource
                        |
                        +--gate.creole.AbstractLanguageAnalyser
                              |
                              +--gate.creole.Transducer
                                    |
                                    +--gate.creole.ANNIETransducer

All Implemented Interfaces:
  Executable, FeatureBearer, LanguageAnalyser, NameBearer, ProcessingResource, Resource, Serializable

public class ANNIETransducer
extends Transducer

The ANNIE named entity transducer. This is a JAPE transducer and this class is here to allow the specification in creole.xml of a default grammar to be used in .

See Also:
  Serialized Form

Inner classes inherited from class gate.creole.AbstractProcessingResource
`AbstractProcessingResource.InternalStatusListener, AbstractProcessingResource.IntervalProgressListener`

Fields inherited from class gate.creole.Transducer
`batch, encoding, grammarURL, inputASName, outputASName`

Fields inherited from class gate.creole.AbstractLanguageAnalyser
`corpus, document`

Fields inherited from class gate.creole.AbstractProcessingResource
`interrupted, progressListeners, statusListeners`

Fields inherited from class gate.creole.AbstractResource
`name, serialVersionUID`

Fields inherited from class gate.util.AbstractFeatureBearer
`features`

Constructor Summary
`ANNIETransducer()`

Methods inherited from class gate.creole.Transducer
`execute, getEncoding, getGrammarURL, getInputASName, getOutputASName, init, interrupt, setEncoding, setGrammarURL, setInputASName, setOutputASName`

Methods inherited from class gate.creole.AbstractLanguageAnalyser
`getCorpus, getDocument, setCorpus, setDocument`

Methods inherited from class gate.creole.AbstractProcessingResource
`addProgressListener, addStatusListener, cleanup, fireProcessFinished, fireProgressChanged, fireStatusChanged, isInterrupted, reInit, removeProgressListener, removeStatusListener`

Methods inherited from class gate.creole.AbstractResource
`checkParameterValues, getName, getParameterValue, getParameterValue, removeResourceListeners, setName, setParameterValue, setParameterValue, setParameterValues, setParameterValues, setResourceListeners`

Methods inherited from class gate.util.AbstractFeatureBearer
`getFeatures, setFeatures`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Methods inherited from interface gate.ProcessingResource
`isInterrupted, reInit`

Methods inherited from interface gate.Resource
`cleanup, getParameterValue, setParameterValue, setParameterValues`

Methods inherited from interface gate.util.FeatureBearer
`getFeatures, setFeatures`

Methods inherited from interface gate.util.NameBearer
`getName, setName`

Constructor Detail

### ANNIETransducer

    public ANNIETransducer()